Loading...
Searching...
No Matches
gtsam::HybridSmoother Class Reference

## Public Member Functions

void | update (HybridGaussianFactorGraph graph, const Ordering &ordering, boost::optional< size_t > maxNrLeaves=boost::none)
| Given new factors, perform an incremental update.
Ordering | getOrdering (const HybridGaussianFactorGraph &newFactors)
std::pair< HybridGaussianFactorGraph, HybridBayesNet > | addConditionals (const HybridGaussianFactorGraph &graph, const HybridBayesNet &hybridBayesNet, const Ordering &ordering) const
| Add conditionals from previous timestep as part of liquefication.
GaussianMixture::shared_ptr | gaussianMixture (size_t index) const
| Get the Gaussian Mixture from the Bayes Net posterior at index.
const HybridBayesNet & | hybridBayesNet () const
| Return the Bayes Net posterior.

## Member Function Documentation

## addConditionals()

std::pair< HybridGaussianFactorGraph, HybridBayesNet > gtsam::HybridSmoother::addConditionals | ( | const HybridGaussianFactorGraph & | graph,
|  | const HybridBayesNet & | hybridBayesNet,
|  | const Ordering & | ordering ) const

Add conditionals from previous timestep as part of liquefication.

Parameters

  graph | The new factor graph for the current time step.
  hybridBayesNet | The hybrid bayes net containing all conditionals so far.
  ordering | The elimination ordering.

Returns
  std::pair<HybridGaussianFactorGraph, HybridBayesNet>

## update()

void gtsam::HybridSmoother::update | ( | HybridGaussianFactorGraph | graph,
|  | const Ordering & | ordering,
|  | boost::optional< size_t > | maxNrLeaves = boost::none )

Given new factors, perform an incremental update.

The relevant densities in the hybridBayesNet will be added to the input graph (fragment), and then eliminated according to the ordering presented. The remaining factor graph contains Gaussian mixture factors that are not connected to the variables in the ordering, or a single discrete factor on all discrete keys, plus all discrete factors in the original graph.

Note
  If maxComponents is given, we look at the discrete factor resulting from this elimination, and prune it and the Gaussian components corresponding to the pruned choices.

Parameters

  graph | The new factors, should be linear only
  ordering | The ordering for elimination, only continuous vars are allowed
  maxNrLeaves | The maximum number of leaves in the new discrete factor, if applicable

Prune

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/hybrid/HybridSmoother.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/hybrid/HybridSmoother.cpp